Subject: Re: [PATCH 5/5] config: add default aliases

From: Felipe Contreras <[email-masked]>
Date: Fri, 02 Jul 2021 05:54:54 -0500

martin wrote:
> On 02/07/2021 12:17, Felipe Contreras wrote:
> > Andreas Schwab wrote:
> >> On Jul 02 2021, Felipe Contreras wrote:
> >>> +ALIAS
> >>> +~~~~~
> >>> +'git co'
> >> That's `checkout' in hg, bzr, svn and cvs.
> > I know, and commit is ci in many of them.
> >
> > The reason why I decided to make checkout co, is that we have already an
> > alternative for checkout: switch. So unlike all those other VCS, in git
> > we can have:
> >
> >    co = commit
> >    sw = switch
> >
> 
> If I may jump into the discussion.
> 
> IMHO it would be good to (partly) follow other vcs, and have
> commit = ci

I'm fine with leaving co out of the default aliases if it's deemed "too
controversial".

But ci doesn't make sense. ci comes from "check in" which has no
similitude in git.

I don't think it's a good idea to leave "git checkout" without an alias
(it's perhaps the second or third most used command), but at least some
aliases are better than no aliases.

> 3) if co is not a default, then people can set it according to their own 
> taste, with less confusion, than if they override a default.

People already have aliases. Whatever is the default doesn't matter.
If you don't like the default you can set a co alias to whatever you want.

-- 
Felipe Contreras